
Ryzom - Bug # 192

Status: Closed Priority: Normal
Author: kervala Category: Build
Created: 11/22/2008 Assignee: kervala
Updated: 09/30/2010 Due date:
Subject: CConfigFile is causing a RtlValidateHeap error
Description

It crashs when it tries to free cf_CurrentFile in config_file.cpp line 437 when we are compiling nlmisc with a Debug DLL C++ Runtime
on debug mode. cf_CurrentFile was previously allocated by a strdup().

You can try the attached project which reproduces the crash. If you uncomment "COXml output;", it won't crash.

I don't really understand why this is happening.

History
#1 - 11/23/2008 02:28 pm - kervala
- Status changed from New to Closed

msvcrtd.lib is conflicting with msvcrt.lib when using libxml2 so we must ignore msvcrt.lib in link settings

#2 - 05/11/2009 07:32 pm - kervala
- % Done changed from 0 to 100

#3 - 09/29/2010 09:26 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (Version 0.7.0)

#4 - 09/30/2010 11:40 am - kervala
- Category set to Build
- Assignee set to kervala
- Target version set to Version 0.7.0

Files
runtime_bug.7z 1.7 kB 11/22/2008 kervala
